import dayjs from 'dayjs/esm';
import customParseFormat from 'dayjs/esm/plugin/customParseFormat';
import duration from 'dayjs/esm/plugin/duration';
import relativeTime from 'dayjs/esm/plugin/relativeTime';
import isBetween from 'dayjs/esm/plugin/isBetween';

// jhipster-needle-i18n-language-dayjs-imports - JHipster will import languages from dayjs here
import 'dayjs/esm/locale/en';
import 'dayjs/esm/locale/ro';
import 'dayjs/esm/locale/ru';

// DAYJS CONFIGURATION
dayjs.extend(customParseFormat);
dayjs.extend(duration);
dayjs.extend(relativeTime);
dayjs.extend(isBetween);

export enum InputDate {
  ACCESS_DATE_FROM = 'accessFromDate',
  FROM_DATE = 'fromDate',
  TO_DATE = 'toDate',
  ACCESS_DATE_TO = 'accessToDate',
  BIRTH_DATE = 'birthDate',
  APPLICATION_DATE = 'applicationDate',
  DATE_IN = 'dateIn',
  DATE_OUT = 'dateOut',
  FROM_MATURITY = 'fromMaturity',
  TO_MATURITY = 'toMaturity',
}

export const DAY = 'day';
export const YEAR = 'year';
export const MONTH = 'month';
export const HOURS = 'hours';
export const MINUTES = 'minutes';
export const SECONDS = 'seconds';