import { Component, EventEmitter, Input, OnChanges, OnInit, Output, SimpleChanges } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { AuditServiceName } from '../../model/audit-service-name.enum';
import {NgSelectModule} from "@ng-select/ng-select";
import {LanguageModule} from "../language/language.module";

@Component({
  standalone: true,
  imports: [FormsModule, NgSelectModule, LanguageModule],
  selector: 'jhi-audit-service-name-list',
  templateUrl: './audit-service-name.component.html',
})
export class AuditServiceNameComponent implements OnInit, OnChanges {
  @Input() selected: keyof typeof AuditServiceName | undefined | null;
  @Input() reseted = false;
  @Output() selectedItemOutput = new EventEmitter<{ item: keyof typeof AuditServiceName | null }>();

  items = Object.entries(AuditServiceName).map(entry => {
    const [key, value] = entry;
    return {
      key,
      value,
    };
  });
  selectedItem: keyof typeof AuditServiceName | null = null;

  ngOnInit(): void {
    if (this.selected) {
      this.selectedItem = this.selected;
    }
  }

  onChange(): void {
    this.selectedItemOutput.emit({ item: this.selectedItem });
  }

  reset(): void {
    this.selectedItem = null;
  }

  ngOnChanges(changes: SimpleChanges): void {
    // eslint-disable-next-line @typescript-eslint/no-unnecessary-condition
    if (!changes['reseted']?.firstChange && changes['reseted']?.previousValue !== changes['reseted']?.currentValue) {
      this.selectedItem = null;
    }
  }
}
