import dayjs from "dayjs/esm";

export interface IUser {
    id: string | null;
    login?: string;
    firstName?: string | null;
    lastName?: string | null;
    email?: string;
    idnp?: string;
    fullName?: string;
    phone?: string | null;
    activated?: boolean;
    langKey?: string;
    accessFromDate?: dayjs.Dayjs;
    accessToDate?: dayjs.Dayjs | null;
    authorities?: string[];
    createdBy?: string;
    createdDate?: dayjs.Dayjs | null;
    lastModifiedBy?: string;
    lastModifiedDate?: dayjs.Dayjs | null;
}

export class User implements IUser {
    constructor(
        public id: string | null,
        public login?: string,
        public firstName?: string | null,
        public lastName?: string | null,
        public email?: string,
        public idnp?: string,
        public phone?: string | null,
        public activated?: boolean,
        public langKey?: string,
        public accessFromDate?: dayjs.Dayjs,
        public accessToDate?: dayjs.Dayjs | null,
        public authorities?: string[],
        public createdBy?: string,
        public createdDate?: dayjs.Dayjs | null,
        public lastModifiedBy?: string,
        public lastModifiedDate?: dayjs.Dayjs | null,
        public failedAttemptCount?: number,
    ) {
    }
}