import { Injectable } from '@angular/core';
import { ITEMS_PER_PAGE } from '../constants/pagination.constants';

@Injectable({
  providedIn: 'root',
})
export class NgSelectScrollService {
  private _position: Map<string, number> = new Map<string, number>();
  private _page: Map<string, number> = new Map<string, number>();

  public Scroll(e: { start: number; end: number }, list: string, preloader: () => void): void {
    let currentPosition = this._position.get(list);
    if (currentPosition === undefined) {
      this._position.set(list, 0);
      currentPosition = 0;
    }

    let currentPage = this._page.get(list);
    if (currentPage === undefined) {
      this._page.set(list, 0);
      currentPage = 0;
    }

    if (currentPosition === e.end) {
      return;
    }

    this._position.set(list, e.end);
    currentPosition = e.end;

    const page = currentPosition / ITEMS_PER_PAGE;

    if (page > currentPage) {
      this._page.set(list, page);
      preloader();
    }
  }
}
