import {FilterAudit} from "../../model/audit.model";
import {AuditQueryBuilder} from "../../model/audit.builder";

export class Pageable {
  page?: number;
  size?: number;
  sort?: string[];

  constructor(page?: number, size?: number, sort?: string[]) {
    this.page = page;
    this.size = size;
    this.sort = sort;
  }
}

export class QueryBuilder {
  jsonObject: any = {};

  constructor(pageable?: Pageable) {
    if (pageable?.page) {
      this.jsonObject['page'] = pageable.page;
    }
    if (pageable?.size) {
      this.jsonObject['size'] = pageable.size;
    }
    if (pageable?.sort) {
      this.jsonObject['sort'] = pageable.sort;
    }
  }

  public static auditBuilder(filter: FilterAudit, pageable?: Pageable): any {
    return new AuditQueryBuilder().build(filter, pageable);
  }
}
