import {Injectable} from '@angular/core';

@Injectable({providedIn: 'root'})
export class StateStorageService {
    private localeKey = 'locale';


    storeLocale(locale: string): void {
        sessionStorage.setItem(this.localeKey, locale);
    }

    getLocale(): string | null {
        return sessionStorage.getItem(this.localeKey);
    }

    clearLocale(): void {
        sessionStorage.removeItem(this.localeKey);
    }
}
